$(function(){
    
    // - Merge Button
    $('#mergebtn').bind('click' , function(){
        if($('#source').val() == undefined || $('#source').val().length < 1){
            alert('请选择源类别!');
        }else if($('#source').val().length > 5){
            alert('源类别请勿超过5个');
        }else if($('#target').val() == undefined || $('#target').val().length != 1){
            alert('请选择目标类别且只能选择一个!');
        }else{
            var target = $('#target').val()[0] , pass = true;
            var slist  = $('#source').val();
            for(var d in slist){
                if(slist[d] == target){
                    pass = false;
                }
            }
            if(pass){
                $('#sourcestr').val(slist.join(','));
                $('#form').submit();
            }else{
                alert('源类别不能含有目标类别!');
            }
        }
    });

    $('#sellink').bind('change' , function(){
        if($(this).val() != '0'){
            $('#' + $(this).attr('veleid')).val($(this).val());
            if($('#' + $(this).attr('teleid')).val() == ''){
                $('#' + $(this).attr('teleid')).val($(this).find("option:selected").text());
            }
        }
    });
});